{% extends "lab_10/layout/base.html" %}

{% block content %}

{% if watch_later_movies %}
  <table class="table">
    <thead style="background-color:#0c3c60;color:white;">
      <tr>
        <th scope="col">#</th>
        <th scope="col">Title</th>
        <th scope="col">Poster</th>
        <th scope="col">Duration</th>
        <th scope="col">Detail</th>
      </tr>
    </thead>
    <tbody>
      {% for movie in watch_later_movies %}
      <tr>
        <th scope="row">{{forloop.counter}}</th>
        <td>{{movie.title}}</td>
        <td><img src="{{movie.poster}}"/></td>
        <td>{{movie.runtime}}</td>
        <td><a href='/lab-10/movie/detail/{{movie.imdbid}}' class='btn btn-primary'> Detail </a>
      </tr>
      {% endfor %}
    </tbody>
  </table>
{% else %}
  <div class="alert alert-danger text-center">
      <strong>Oops!</strong> No movies added.
  </div>
{% endif %}

{% endblock %}